Name:           gipfel
Version:        0.3.2
Release:        1%{?dist}
Summary:        A tool to find the names of mountains or POI on a picture

Group:          Applications/System
License:        GPLv3+
URL:            http://www.ecademix.com/JohannesHofmann/gipfel.html
Source0:        http://www.ecademix.com/JohannesHofmann/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
Source2:        %{name}.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  fltk-devel
BuildRequires:  libtiff-devel
BuildRequires:  libpng-devel
BuildRequires:  libjpeg-devel
BuildRequires:  exiv2-devel
BuildRequires:  gsl-devel

BuildRequires:  desktop-file-utils


%description
gipfel is a tool to find the names of mountains or points of interest
on a picture. It uses a database containing names and GPS data. With
the given viewpoint (the point from which the picture was taken) and
two known mountains on the picture, it can compute all parameters
needed to compute the positions of other mountains on the picture.
gipfel can also generate (stitch) panorama images. 


%prep
%setup -q
# Convert to utf-8
for file in README; do
    mv $file timestamp
    iconv -f ISO-8859-1 -t UTF-8 -o $file timestamp
    touch -r timestamp $file
done


%build
%configure --docdir=%{_defaultdocdir}/%{name}-%{version}
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
install -Dp -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/%{name}.png


%clean
rm -rf %{buildroot}


%files 
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sat Jun 27 2009 Fabian Affolter <fabian@bernewireless.net> - 0.3.2-1
- Updated to new upstream version 0.3.2

* Sat Apr 11 2009 Fabian Affolter <fabian@bernewireless.net> - 0.3.1-1
- Updated to new upstream version 0.3.1

* Thu Apr 09 2009 Fabian Affolter <fabian@bernewireless.net> - 0.3.0-1
- Updated to new upstream version 0.3.0
- Added exiv2-devel as a BR

* Sun Apr 05 2009 Fabian Affolter <fabian@bernewireless.net> - 0.2.9-1
- Updated to new upstream version 0.2.9
- Added icon file

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 05 2009 Fabian Affolter <fabian@bernewireless.net> - 0.2.6-2
- Fixed license tag, it is GPLv3+
- Switched to one type of buildroot
- Modified .desktop  file

* Thu Feb 05 2009 Fabian Affolter <fabian@bernewireless.net> - 0.2.6-1
- Updated to upstream version 0.2.6
- Added --docdir to configure

* Thu Jan 15 2009 Fabian Affolter <fabian@bernewireless.net> - 0.2.5-2
- Fixed directory ownership

* Sat Jan 10 2009 Fabian Affolter <fabian@bernewireless.net> - 0.2.5-1
- Initial package for Fedora

